// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file DofWriter.h */

#ifndef AMDIS_DOF_WRITER_H
#define AMDIS_DOF_WRITER_H

#include <fstream>
#include <vector>
#include "AMDiS_fwd.h"
#include "FiniteElemSpace.h"
#include "Mesh.h"

namespace AMDiS {

  class DofWriter
  {
  public:
    DofWriter(const FiniteElemSpace *feSpace)
      : feSpace(feSpace),
	mesh(feSpace->getMesh())
      {}

    void writeFile(std::string filename, std::vector<DOFVector<double>*> &vec);

  protected:
    const FiniteElemSpace *feSpace;

    Mesh *mesh;
  };
}

#endif
